be.vlaanderen.mercurius.mohm.common.v7

## Class SupportAndRepairViewBTCType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.SupportAndRepairViewBTCType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:34:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class SupportAndRepairViewBTCType
      extends Object
      implements Serializable

  Generiek type voor het deel BTC in het beeld van onderhoud en herstel.

  Java class for SupportAndRepairViewBTCType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SupportAndRepairViewBTCType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="HasBTCAsked" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="BTCAdjustment" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairViewBTCAdjustmentType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SupportAndRepairViewBTCType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SupportAndRepairViewBTCAdjustmentType>` | `getBTCAdjustments()` Gets the value of the btcAdjustments property.
    `boolean` | `isHasBTCAsked()` Gets the value of the hasBTCAsked property.
    `void` | `setHasBTCAsked(boolean value)` Sets the value of the hasBTCAsked property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SupportAndRepairViewBTCType

          public SupportAndRepairViewBTCType()

  - ### Method Detail

    - #### isHasBTCAsked

          public boolean isHasBTCAsked()

      Gets the value of the hasBTCAsked property.

    - #### setHasBTCAsked

          public void setHasBTCAsked(boolean value)

      Sets the value of the hasBTCAsked property.

    - #### getBTCAdjustments

          public List<SupportAndRepairViewBTCAdjustmentType> getBTCAdjustments()

      Gets the value of the btcAdjustments property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the btcAdjustments property.

      For example, to add a new item, do as follows:

              getBTCAdjustments().add(newItem);

      Objects of the following type(s) are allowed in the list `SupportAndRepairViewBTCAdjustmentType`

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.